import { Subscription } from "./Subscription.js";
export interface ISubscriptionRegisterOptions {
    empty: () => void;
}
export default class SubscriptionRegister {
    private m_subscriptions;
    private m_emptyCallback;
    constructor(options: ISubscriptionRegisterOptions);
    private get emptyCallback();
    private get subscriptions();
    publish(data?: any): void;
    subscribe(callback: Function): Subscription;
    private exists;
    private add;
    private remove;
    private get;
}
